[alpine-aports] [PATCH] testing/bats: new package for bash automated testing

Jose-Luis Rivas
Details
Message ID
<20160526031544.GA21974@riseup.net>
Sender timestamp
1464232544
DKIM signature
missing
Download raw message
Patch: +33 -0
---
 testing/bats/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/bats/APKBUILD

diff --git a/testing/bats/APKBUILD b/testing/bats/APKBUILD
new file mode 100644
index 0000000..18b47ab
--- /dev/null
+++ b/testing/bats/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Jose-Luis Rivas <ghostbar@riseup.net>
+pkgname=bats
+pkgver=0.4.0
+pkgrel=0
+pkgdesc="Bash Automated Testing System"
+url="https://github.com/sstephenson/bats"
+arch="noarch"
+license="MIT"
+depends="bash"
+makedepends="$depends_dev bash"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/sstephenson/$pkgname/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+  return 0
+}
+
+build() {
+  return 0
+}
+
+package() {
+  cd "$_builddir"
+  bash install.sh "$pkgdir"/usr || return 1
+  ls "$pkgdir"/usr/bin/
+}
+
+md5sums="aeeddc0b36b8321930bf96fce6ec41ee  bats-0.4.0.tar.gz"
+sha256sums="480d8d64f1681eee78d1002527f3f06e1ac01e173b761bc73d0cf33f4dc1d8d7  bats-0.4.0.tar.gz"
+sha512sums="83c6c0e3ceec149708a8db5d33e95cc84852d8189498c22131c00f4288a6c870f9d522bae9230157f442338dc101e1468451d78dfa274afb83a6f0dd614c8bdb  bats-0.4.0.tar.gz"
-- 
2.8.3


-- 
⨳ PGP 0x13EC43EEB9AC8C43 ⨳ https://ghostbar.co